<?php 
defined( '_JEXEC' ) or die( 'Restricted access' );
jimport('joomla.plugin'); 
class PlgJshoppingOpengraph extends JPlugin
{        
        function OpenGraph( &$subject ) {
                parent::__construct( $subject );
        }
		
		//category
		
		function onBeforeDisplayProductListView(&$view){
		    $link = JURI::getInstance();
			$lang = JSFactory::getLang();
			$doc = JFactory::getDocument();
			$jshopConfig = JFactory::getConfig();
			$url = $link->getScheme() ."://" . $link->getHost() . $view->action;
			$image = $link->getScheme() ."://" . $link->getHost()."/components/com_jshopping/files/img_categories/".$view->category->category_image;
			$site_name = $jshopConfig->get( 'sitename' );		

		    if (isset($view->category->category_id)) {
				$doc->addCustomTag( '<meta property="og:locale" content="'.$lang->lang.'" />'  );
			    $doc->addCustomTag( '<meta property="og:title" content="'.$view->category->name.'" />'  );
			    $doc->addCustomTag( '<meta property="og:type" content="'.'category'.'" />'  );
			    $doc->addCustomTag( '<meta property="og:description" content="'.$view->category->short_description.'" />'  );
			    $doc->addCustomTag( '<meta property="og:url" content="'.$url.'" />'  );
			    $doc->addCustomTag( '<meta property="og:image" content="'.$image.'" />'  );
			    $doc->addCustomTag( '<meta property="og:site_name" content="'.$site_name.'" />'  );		
				}			
		    else if (isset($view->vendor)) {
			    $doc->addCustomTag( '<meta property="og:locale" content="'.$lang->lang.'" />'  );
			    $doc->addCustomTag( '<meta property="og:title" content="'.$view->vendor->shop_name.'" />'  );
			    $doc->addCustomTag( '<meta property="og:type" content="'.'vendor'.'" />'  );
			    $doc->addCustomTag( '<meta property="og:url" content="'.$url.'" />'  );
			    $doc->addCustomTag( '<meta property="og:site_name" content="'.$site_name.'" />'  );		
			    }
		}
		
		//product
		function onBeforeDisplayProductView(&$view) {
			$link = JURI::getInstance();
			$lang = JSFactory::getLang();
			$doc = JFactory::getDocument();
			$jshopConfig = JFactory::getConfig();
			
			$locale = $lang->lang;
			$type = 'product';
			$url = $link->getScheme() ."://" . $link->getHost() . $link->getPath()."/". $link->getQuery();
			$image = $link->getScheme() ."://" . $link->getHost()."/components/com_jshopping/files/img_products/".$view->product->image;
			$site_name = $jshopConfig->get( 'sitename' );
		
			$doc->addCustomTag( '<meta property="og:locale" content="'.$locale.'" />'  );
			$doc->addCustomTag( '<meta property="og:title" content="'.$view->product->name.'" />'  );
			$doc->addCustomTag( '<meta property="og:type" content="'.$type.'" />'  );
			$doc->addCustomTag( '<meta property="og:url" content="'.$url.'" />'  );
			$doc->addCustomTag( '<meta property="og:image" content="'.$image.'" />'  );
			$doc->addCustomTag( '<meta property="og:site_name" content="'.$site_name.'" />'  );
		}
		
		function onBeforeDisplayVendorView(&$view) {
			$doc = JFactory::getDocument();
			$link = JURI::getInstance();
			$lang = JSFactory::getLang();
			$jshopConfig = JFactory::getConfig();			
			
			$url = $link->getScheme() ."://" . $link->getHost() . $link->getPath()."/". $link->getQuery();
			$type = 'vendors';
		    $locale = $lang->lang;
			$site_name = $jshopConfig->get( 'sitename' );
			
			$doc->addCustomTag( '<meta property="og:locale" content="'.$locale.'" />'  );
			$doc->addCustomTag( '<meta property="og:type" content="'.$type.'" />'  );
			$doc->addCustomTag( '<meta property="og:url" content="'.$url.'" />'  );
			$doc->addCustomTag( '<meta property="og:site_name" content="'.$site_name.'" />'  );
			
			
		}
 }